DNF5-REPOCLOSURE(8)

BEZEICHNUNG
dnf5-repoclosure - Repoclosure-Befehl

ÜBERSICHT

dnf5 repoclosure [Optionen] [Paketangabe …]

BESCHREIBUNG

Der repoclosure-Befehl analysiert Paket-Metadaten aus mehreren Paketquellen. Dabei werden alle Abhängigkeiten der Pakete überprüft und eine Liste von Paketen mit nicht aufgelösten Abhängigkeiten angezeigt.

Standardmäßig berücksichtigt repoclosure beim Überprüfen der Abhängigkeiten alle aktivierten Paketquellen. Sie können jedoch die berücksichtigten Paketquellen anpassen, indem Sie Standard-DNF5-Optionen wie --repo, --enable-repo oder --disable-repo verwenden.

OPTIONEN

--arch Architektur
    fragt nur nach Paketen für die angegebene Architektur, kann mehrfach angegeben werden (standardmäßig sind dies alle mit Ihrem System kompatiblen Architekturen).

--best
    prüft nur die neuesten Pakete pro Architektur.

--check=PAKETQUELLEN_ID, …
    gibt die zu überprüfenden Paketquellen an. Dies kann mehrmals verwendet werden; in der Voreinstellung sind alle Paketquellen aktiviert. Als Werte werden Paketquellen-IDs oder ein Glob solcher IDs akzeptiert.

--newest
    prüft nur die neuesten Pakete in den Paketquellen.

Paketangabe
    zeigt den Auflösungsstatus der Abhängigkeiten nur für dieses Paket an.

BEISPIELE

dnf5 repoclosure
    Eine Liste unaufgelöster Abhängigkeiten für alle aktivierten Paketquellen anzeigen.

dnf5 repoclosure --repo rawhide --arch noarch --arch x86_64
    Eine Liste unaufgelöster Abhängigkeiten für die Rawhide-Paketquelle und Pakete der Architekturen »noarch« und »x86_64« anzeigen.

dnf5 repoclosure --repo rawhide zmap
    Eine Liste unaufgelöster Abhängigkeiten für das Paket »zmap« aus der Rawhide-Paketquelle anzeigen.

dnf5 repoclosure --repo rawhide --check Meinrepo
    Eine Liste unaufgelöster Abhängigkeiten für Meinrepo, einer Ergänzung zur Rawhide-Paketquelle, anzeigen.

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.